Cargo.toml 2.41 KB
Newer Older
1
2
3
[workspace]
members = [".", "metadata"]

4
[package]
5
name = "cargo-contract"
Michael Müller's avatar
Michael Müller committed
6
version = "0.12.1"
7
authors = ["Parity Technologies <admin@parity.io>"]
8
build = "build.rs"
9
10
11
12
edition = "2018"

license = "GPL-3.0"
readme = "README.md"
13
repository = "https://github.com/paritytech/cargo-contract"
Hero Bird's avatar
Hero Bird committed
14
15
documentation = "https://substrate.dev/substrate-contracts-workshop/#/"
homepage = "https://www.parity.io/"
16
description = "Setup and deployment tool for developing Wasm based smart contracts via ink!"
17
keywords = ["wasm", "parity", "webassembly", "blockchain", "edsl"]
Andrew Jones's avatar
Andrew Jones committed
18
categories = ["command-line-utilities", "development-tools::build-utils", "development-tools::cargo-plugins"]
Andrew Jones's avatar
Andrew Jones committed
19
include = ["Cargo.toml", "src/**/*.rs", "README.md", "LICENSE", "build.rs", "templates"]
20
21

[dependencies]
22
env_logger = "0.8.3"
23
anyhow = "1.0.40"
24
structopt = "0.3.21"
25
log = "0.4.14"
26
heck = "0.3.2"
27
zip = { version = "0.5.12", default-features = false }
28
pwasm-utils = "0.17.1"
29
parity-wasm = "0.42.2"
30
cargo_metadata = "0.13.1"
Austin Abell's avatar
Austin Abell committed
31
codec = { package = "parity-scale-codec", version = "2.1", features = ["derive"] }
32
which = "4.1.0"
33
colored = "2.0.0"
34
toml = "0.5.8"
35
rustc_version = "0.3.3"
Andrew Jones's avatar
Andrew Jones committed
36
37
38
blake2 = "0.9.1"
contract-metadata = { version = "0.2.0", path = "./metadata" }
semver = { version = "0.11.0", features = ["serde"] }
39
serde = { version = "1.0.126", default-features = false, features = ["derive"] }
40
serde_json = "1.0.64"
41
tempfile = "3.2.0"
42
url = { version = "2.2.2", features = ["serde"] }
43
impl-serde = "0.3.1"
44
regex = "1.4"
Qinxuan Chen's avatar
Qinxuan Chen committed
45

46
# dependencies for optional extrinsics feature
47
async-std = { version = "1.9.0", optional = true }
48
sp-core = { version = "2.0.1", optional = true }
49
subxt = { version = "0.14.0", package = "substrate-subxt", optional = true }
50
futures = { version = "0.3.15", optional = true }
51
hex = { version = "0.4.3", optional = true }
52

53
54
55
# Should be removed once bitvecto-rs/bitvec#105 is resolved
funty = "=1.1.0"

56
[build-dependencies]
57
anyhow = "1.0.40"
58
zip = { version = "0.5.12", default-features = false }
59
walkdir = "2.3.2"
60
61
substrate-build-script-utils = "3.0.0"
platforms = "1.1"
62
63

[dev-dependencies]
64
assert_matches = "1.5.0"
65
pretty_assertions = "0.7.2"
66
wabt = "0.10.0"
67
68
69

[features]
default = []
70
71
72
73
74
75
76
77
78

# Enable this for (experimental) commands to deploy, instantiate and call contracts.
#
# Disabled by default
extrinsics = ["sp-core", "subxt", "async-std", "futures", "hex"]

# Enable this to execute long running tests, which usually are only run on the CI server
#
# Disabled by default
79
test-ci-only = []